Cloud APIs
/- Managed Planning Data Foundation
- Core Services
Workflow Service
- Registers a workflow definition composed of standard and custom operators in the orchestration tool.
List all the workflows applicable for a partition.
Get workflow by name
Delete workflow by workflow name
Registers a workflow defi...
Register a new workflow. Workflows (Airflow DAGs) could be composed of standard components (In-built Airflow operators, hooks & sensors) or custom components (User-defined operators, hooks and sensors).
Key Points
- Workflow name and DAG name (in workflow definition) are expected to be the same.
- API will check the syntactic validity of the workflow based on the orchestrator.
- Audit information will be added automatically. Audit params are: "createdBy" and "createdTimestamp".
Security
bearer
Request payload for deploying new workflow.
- SLB Saas OSDU (SGP)https://as5.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB SaaS OSDU (BRS)https://br5.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB Saas OSDU (WEU)https://eu5.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB SaaS OSDU (EUT)https://eu6.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB Saas OSDU (MDE)https://eu7.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB Saas OSDU (PSC)https://us5.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB Saas OSDU (USC)https://us7.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB Saas OSDU (WUS)https://us8.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB Saas OSDU (SAS)https://as6.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB Saas OSDU (SWC)https://eu8.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB Saas OSDU (MYW)https://as7.api.enterprisedata.slb.com/api/workflow/v1/workflow
- SLB Saas OSDU (ZAN)https://za1.api.enterprisedata.slb.com/api/workflow/v1/workflow
- Mock serverhttps://developer.slb.com/_mock/solutions/core-service/apis/osdu-workflow-service/workflow
curl -i -X POST \
https://as5.api.enterprisedata.slb.com/api/workflow/v1/workflow \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-H 'data-partition-id: string' \
-d '{
"description": "string",
"registrationInstructions": {
"dagName": "string",
"dagContent": "string"
},
"workflowName": "string"
}'Workflow created successfully.
registrationInstructionsobject(RegistrationInstructionsResponse)
Response
{ "createdBy": "string", "creationTimestamp": 0, "description": "string", "registrationInstructions": { "dagName": "string" }, "version": 0, "workflowId": "string", "workflowName": "string" }